/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: SecurityRoleRef.java 5360 2010-02-24 14:29:45Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.ISecurityRoleRef;

/**
 * Class representing security-role-ref elements used in Java EE components.
 * @author Florent Benoit
 */
public class SecurityRoleRef implements ISecurityRoleRef {

    /**
     * Role Name of this security-role-ref.
     */
    private String roleName = null;

    /**
     * Role Link of this security-role-ref.
     */
    private String roleLink = null;

    /**
     * Default constructor.
     */
    public SecurityRoleRef() {
        super();
    }

    /**
     * @return rolename of this security-role-ref.
     */
    public String getRoleName() {
        return roleName;
    }

    /**
     * Sets the rolename of this security-role-ref.
     * @param roleName rolename of this security-role-ref.
     */
    public void setRoleName(final String roleName) {
        this.roleName = roleName;
    }

    /**
     * @return role link of this security-role-ref.
     */
    public String getRoleLink() {
        return roleLink;
    }

    /**
     * Sets the role link of this security-role-ref.
     * @param roleLink rolename of this security-role-ref.
     */
    public void setRoleLink(final String roleLink) {
        this.roleLink = roleLink;
    }

}
